junos_l3_interface – Manage L3 interfaces on Juniper JUNOS network devices — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# junos_l3_interface – Manage L3 interfaces on Juniper JUNOS network devices

New in version 2.4.

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | Use junos_l3_interfaces instead.

## Synopsis

- This module provides declarative management of L3 interfaces on Juniper JUNOS network devices.

## Requirements

The below requirements are needed on the host that executes this module.

- ncclient (>=v0.5.2)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
active boolean | Choices: no yes ← | Specifies whether or not the configuration is active or deactivated
aggregate - |  | List of L3 interfaces definitions
filter6_input - added in 2.8 |  | The name of input filter for ipv6.
filter6_output - added in 2.8 |  | The name of output filter for ipv6.
filter_input - added in 2.8 |  | The name of input filter.
filter_output - added in 2.8 |  | The name of output filter.
ipv4 - |  | IPv4 of the L3 interface.
ipv6 - |  | IPv6 of the L3 interface.
name - |  | Name of the L3 interface.
provider dictionary |  | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli` or `connection: netconf`. For more information please see the Junos OS Platform Options guide. A dict object containing connection details.
| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device. The port value will default to the well known SSH port of 22 (for `transport=cli`) or port 830 (for `transport=netconf`) device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
state - | Choices: present ← absent | State of the L3 interface configuration.
unit - | Default: 0 | Logical interface number.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.
- Tested against vSRX JUNOS version 15.1X49-D15.4, vqfx-10000 JUNOS Version 15.1X53-D60.4.
- Recommended connection is `netconf`. See the Junos OS Platform Options.
- This module also works with `local` connections for legacy playbooks.
- For information on using CLI and netconf see the Junos OS Platform Options guide
- For more information on using Ansible to manage network devices see the Ansible Network Guide
- For more information on using Ansible to manage Juniper network devices see https://www.ansible.com/ansible-juniper.

## Examples

    - name: Set ge-0/0/1 IPv4 address
      junos_l3_interface:
        name: ge-0/0/1
        ipv4: 192.168.0.1

    - name: Remove ge-0/0/1 IPv4 address
      junos_l3_interface:
        name: ge-0/0/1
        state: absent

    - name: Set ipv4 address using aggregate
      junos_l3_interface:
        aggregate:
        - name: ge-0/0/1
          ipv4: 192.0.2.1
        - name: ge-0/0/2
          ipv4: 192.0.2.2
          ipv6: fd5d:12c9:2201:2::2

    - name: Delete ipv4 address using aggregate
      junos_l3_interface:
        aggregate:
        - name: ge-0/0/1
          ipv4: 192.0.2.1
        - name: ge-0/0/2
          ipv4: 192.0.2.2
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
diff string | when configuration is changed and diff option is enabled. | Configuration difference before and after applying change. Sample: [edit interfaces ge-0/0/1 unit 0 family inet] + address 192.0.2.1/32; [edit interfaces ge-0/0/1 unit 0 family inet6] + address fd5d:12c9:2201:1::1/128;

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Ganesh Nalawade (@ganeshrn)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.